Overview
POST
/monitoring/endpointsmonitoringCreate endpoints
Create a record in endpoints.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- siteIdstring
- kindoptionalstring
- urlstring
- expectedStatusoptionalinteger
- expectedBodyContainsoptionalstring?
- timeoutMsoptionalinteger
- degradedThresholdMsoptionalinteger
- checkIntervalSecondsoptionalinteger
- isActiveoptionalboolean
Example
{
"siteId": "string",
"kind": "string",
"url": "string",
"expectedStatus": 0,
"expectedBodyContains": "string",
"timeoutMs": 0,
"degradedThresholdMs": 0,
"checkIntervalSeconds": 0,
"isActive": true
}Responses
201
endpoints
- idstring
- siteIdstring
- userIdstring
- ownerKindstring
- ownerIdstring
- kindstring
- urlstring
- expectedStatusinteger
- expectedBodyContainsstring?
- timeoutMsinteger
- degradedThresholdMsinteger
- checkIntervalSecondsinteger
- isActiveboolean
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"siteId": "string",
"userId": "string",
"ownerKind": "string",
"ownerId": "string",
"kind": "string",
"url": "string",
"expectedStatus": 0,
"expectedBodyContains": "string",
"timeoutMs": 0,
"degradedThresholdMs": 0,
"checkIntervalSeconds": 0,
"isActive": true,
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/monitoring/endpoints" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"siteId": "string",
"kind": "string",
"url": "string",
"expectedStatus": 0,
"expectedBodyContains": "string",
"timeoutMs": 0,
"degradedThresholdMs": 0,
"checkIntervalSeconds": 0,
"isActive": true
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/monitoring/endpoints", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"siteId\": \"string\",\n \"kind\": \"string\",\n \"url\": \"string\",\n \"expectedStatus\": 0,\n \"expectedBodyContains\": \"string\",\n \"timeoutMs\": 0,\n \"degradedThresholdMs\": 0,\n \"checkIntervalSeconds\": 0,\n \"isActive\": true\n}",
});
const data = await res.json();